Examplary
  • Start for free
    Developer docs

    Create library item

    POSThttps://api.examplary.ai/library/collections/{collectionId}/items

    Adds an item to a collection. Requires at least editor access to both the collection and the resource being added.

    Path parameters

    collectionIdstringrequired

    Request body

    resourceIdstring

    The ID of the resource being added to the library, e.g. `exam_123`.

    qtiPackageUrlstring· uri

    A QTI package (.zip) to import as a test, instead of adding an existing resource.

    descriptionstring· min length: 1required

    A publicly visible description of the library item.

    namestring· min length: 1· nullable

    The name of the library item. If not provided, the name of the original resource will be used.

    studentLevelstring· nullable

    The student level associated with the library item.

    subjectstring· nullable

    The subject associated with the library item.

    tagsarray string[] | null· nullable

    Optional tags, e.g. ['math', 'science'].

    licensestring· max length: 255· nullable

    The license people may reuse the item under, e.g. `cc-by-sa`, `cc0` or `all-rights-reserved`.

    sourceMaterialsarray object[]

    Source materials of the resource to publish with it. People who copy the item get `full` ones in their workspace; `generation-only` ones are only used by the AI.

    metadataobject

    Custom values. Keys like `attribute_Level` are filterable in the library, and may hold a list. Defaults to the resource's custom attributes.

    Responses

    400 — Validation Error

    successbooleanrequired

    Allowed values:false

    errorarray any[]required
    dataanyrequired

    Requirements

    OAuth scopes

    This endpoint requires the library:write scope to be present.